VM_MAP_INHERIT(9)

NAME
vm_map_inherit - set fork inheritance flags for a range within a map

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_map.h>
int
vm_map_inherit(vm_map_t map, vm_offset_t start, vm_offset_t end, vm_inherit_t new_inheritance);

DESCRIPTION
The vm_map_inherit() function sets the inheritance flags for the range start to end within the target map to the value new_inheritance.

The new_inheritance flag must have one of the values VM_INHERIT_NONE, VM_INHERIT_COPY, or VM_INHERIT_SHARE. This affects how the map will be shared with child maps when the associated process forks.

IMPLEMENTATION NOTES
The vm_map_inherit() function obtains a lock on the map using vm_map_lock(9) for the duration of the function.

RETURN VALUES
The vm_map_inherit() function returns KERN_SUCCESS if the inheritance flags could be set. Otherwise, if the provided flags were invalid, KERN_INVALID_ARGUMENT will be returned.

SEE ALSO
fork(2)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.